@import '_content/Threesixty.AspNetCore.Components.MudBlazor/Threesixty.AspNetCore.Components.MudBlazor.bundle.scp.css';
@import '_content/Threesixty.AspNetCore.Components/Threesixty.AspNetCore.Components.bundle.scp.css';

/* /Components/Layout/BoldLayout.razor.rz.scp.css */
@keyframes fade-in-1-b-cvx8ym3m78 {
  0% {
    opacity: 0; }
  50% {
    opacity: 1; } }

@keyframes fade-in-2-b-cvx8ym3m78 {
  0% {
    opacity: 0; }
  25% {
    opacity: 0; }
  75% {
    opacity: 1; } }

@keyframes fade-in-3-b-cvx8ym3m78 {
  0% {
    opacity: 0; }
  50% {
    opacity: 0; }
  100% {
    opacity: 1; } }

@keyframes spin-in-b-cvx8ym3m78 {
  0% {
    transform: rotateZ(0); }
  100% {
    transform: rotateZ(360deg); } }

.tss-lo-bold[b-cvx8ym3m78] {
  display: flex;
  position: fixed;
  top: 0;
  left: 0;
  overflow: hidden;
  width: 100vw;
  height: 100vh;
  background: var(--tss-surface); }
  @media (max-width: 480px) {
    .tss-lo-bold[b-cvx8ym3m78] {
      display: block;
      overflow-y: scroll; } }
  .tss-lo-bold .tss-lo-bold-l[b-cvx8ym3m78] {
    width: 33.33333vw;
    background: var(--tss-brand-primary);
    background-repeat: repeat-y;
    background-image: linear-gradient(to left, color-mix(in srgb, var(--tss-brand-primary) 92%, white) 0%, var(--tss-brand-primary) 100%);
    position: relative;
    overflow: hidden;
    padding: 212px 0 0;
    /*
        &:after{
            content: '';
            display:block;
            height:100vh;
            width:50px;
            top:0;
            right:0;
            position:absolute;
            background-image: url(/images/svg/semicircle.svg);
            background-size: cover;
        }*/ }
    .tss-lo-bold .tss-lo-bold-l[b-cvx8ym3m78]:after {
      content: '';
      display: block;
      left: 31vw;
      width: 800vw;
      border-radius: 800vh;
      top: -350vh;
      height: 800vh;
      background: var(--tss-surface);
      position: absolute;
      z-index: 1;
      box-shadow: 0 0 4px 0 var(--tss-surface); }
      @media (max-width: 768px) {
        .tss-lo-bold .tss-lo-bold-l[b-cvx8ym3m78]:after {
          display: none; } }
    @media (max-width: 480px) {
      .tss-lo-bold .tss-lo-bold-l[b-cvx8ym3m78] {
        width: 100vw;
        padding-top: 32px;
        padding-bottom: 32px; } }
    .tss-lo-bold .tss-lo-bold-l .container[b-cvx8ym3m78] {
      padding: 0;
      margin: 0 100px 0 auto;
      position: relative; }
      @media (min-width: 1120px) {
        .tss-lo-bold .tss-lo-bold-l .container[b-cvx8ym3m78] {
          width: 340px; } }
      @media (max-width: 1120px) {
        .tss-lo-bold .tss-lo-bold-l .container[b-cvx8ym3m78] {
          margin-left: 40px;
          margin-right: 40px; } }
      @media (max-width: 480px) {
        .tss-lo-bold .tss-lo-bold-l .container[b-cvx8ym3m78] {
          margin-left: 16px;
          margin-right: 16px; } }
    .tss-lo-bold .tss-lo-bold-l .tss-lo-bold-l-img[b-cvx8ym3m78] {
      width: 11.77778rem;
      height: 3.33333rem;
      background: var(--tss-brand-logo) no-repeat left center;
      background-size: contain;
      animation: fade-in-1-b-cvx8ym3m78;
      animation-duration: 1.5s;
      animation-timing-function: ease-in-out; }
    .tss-lo-bold .tss-lo-bold-l .tss-lo-bold-l-splash[b-cvx8ym3m78] {
      font-size: 32px;
      color: var(--tss-brand-secondary);
      display: block;
      margin-top: 28px;
      padding: 0;
      line-height: 40px;
      animation: fade-in-2-b-cvx8ym3m78;
      animation-duration: 1.5s;
      animation-timing-function: ease-in-out; }
      @media (max-width: 480px) {
        .tss-lo-bold .tss-lo-bold-l .tss-lo-bold-l-splash[b-cvx8ym3m78] {
          margin-top: 12px;
          font-size: 18px; } }
    .tss-lo-bold .tss-lo-bold-l .tss-lo-bold-swirl-container[b-cvx8ym3m78] {
      position: absolute;
      bottom: -450px;
      left: -450px;
      min-width: 900px;
      animation: fade-in-3-b-cvx8ym3m78;
      animation-duration: 1.5s;
      animation-timing-function: ease-in-out; }
      .tss-lo-bold .tss-lo-bold-l .tss-lo-bold-swirl-container .tss-lo-bold-swirl[b-cvx8ym3m78] {
        min-width: 900px;
        min-height: 900px;
        background: var(--tss-brand-swirl) no-repeat center center;
        background-size: contain;
        animation: spin-in-b-cvx8ym3m78;
        animation-duration: 480s;
        animation-iteration-count: infinite;
        opacity: 0.6;
        /*    animation-timing-function: ease-in-out;*/
        /*filter: drop-shadow(0 0 1px rgba(#FFFFFF, .5));*/ }
        @media (max-width: 480px) {
          .tss-lo-bold .tss-lo-bold-l .tss-lo-bold-swirl-container .tss-lo-bold-swirl[b-cvx8ym3m78] {
            animation: none; } }
  .tss-lo-bold .tss-lo-bold-r[b-cvx8ym3m78] {
    padding: 212px 0 100px;
    width: 66.66667vw;
    background: var(--tss-surface);
    overflow-y: scroll; }
    .tss-lo-bold .tss-lo-bold-r h1[b-cvx8ym3m78] {
      border-bottom: 2px solid var(--tss-surface-subtle);
      margin-bottom: 20px; }
    .tss-lo-bold .tss-lo-bold-r .busy-container[b-cvx8ym3m78] {
      position: static !important; }
    .tss-lo-bold .tss-lo-bold-r .container[b-cvx8ym3m78] {
      padding: 0;
      margin-right: auto;
      margin-left: 40px;
      position: relative; }
      @media (min-width: 1120px) {
        .tss-lo-bold .tss-lo-bold-r .container[b-cvx8ym3m78] {
          width: 900px; } }
      @media (max-width: 1120px) {
        .tss-lo-bold .tss-lo-bold-r .container[b-cvx8ym3m78] {
          margin-left: 40px;
          margin-right: 40px; } }
      @media (max-width: 480px) {
        .tss-lo-bold .tss-lo-bold-r .container[b-cvx8ym3m78] {
          margin-left: 16px;
          margin-right: 16px; } }
    @media (max-width: 480px) {
      .tss-lo-bold .tss-lo-bold-r[b-cvx8ym3m78] {
        width: 100vw;
        padding-top: 32px;
        overflow: hidden; } }
/* /Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-0yeucnj0ye] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-0yeucnj0ye] {
    flex: 1;
}

.sidebar[b-0yeucnj0ye] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-0yeucnj0ye] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-0yeucnj0ye]  a, .top-row[b-0yeucnj0ye]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-0yeucnj0ye]  a:hover, .top-row[b-0yeucnj0ye]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-0yeucnj0ye]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-0yeucnj0ye] {
        justify-content: space-between;
    }

    .top-row[b-0yeucnj0ye]  a, .top-row[b-0yeucnj0ye]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-0yeucnj0ye] {
        flex-direction: row;
    }

    .sidebar[b-0yeucnj0ye] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-0yeucnj0ye] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-0yeucnj0ye]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-0yeucnj0ye], article[b-0yeucnj0ye] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-0yeucnj0ye] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-0yeucnj0ye] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* /Components/Layout/ReconnectModal.razor.rz.scp.css */
.components-reconnect-first-attempt-visible[b-hvbz7t8nvd],
.components-reconnect-repeated-attempt-visible[b-hvbz7t8nvd],
.components-reconnect-failed-visible[b-hvbz7t8nvd],
.components-pause-visible[b-hvbz7t8nvd],
.components-resume-failed-visible[b-hvbz7t8nvd],
.components-rejoining-animation[b-hvbz7t8nvd] {
    display: none;
}

#components-reconnect-modal.components-reconnect-show .components-reconnect-first-attempt-visible[b-hvbz7t8nvd],
#components-reconnect-modal.components-reconnect-show .components-rejoining-animation[b-hvbz7t8nvd],
#components-reconnect-modal.components-reconnect-paused .components-pause-visible[b-hvbz7t8nvd],
#components-reconnect-modal.components-reconnect-resume-failed .components-resume-failed-visible[b-hvbz7t8nvd],
#components-reconnect-modal.components-reconnect-retrying[b-hvbz7t8nvd],
#components-reconnect-modal.components-reconnect-retrying .components-reconnect-repeated-attempt-visible[b-hvbz7t8nvd],
#components-reconnect-modal.components-reconnect-retrying .components-rejoining-animation[b-hvbz7t8nvd],
#components-reconnect-modal.components-reconnect-failed[b-hvbz7t8nvd],
#components-reconnect-modal.components-reconnect-failed .components-reconnect-failed-visible[b-hvbz7t8nvd] {
    display: block;
}


#components-reconnect-modal[b-hvbz7t8nvd] {
    background-color: white;
    width: 20rem;
    margin: 20vh auto;
    padding: 2rem;
    border: 0;
    border-radius: 0.5rem;
    box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: display 0.5s allow-discrete, overlay 0.5s allow-discrete;
    animation: components-reconnect-modal-fadeOutOpacity-b-hvbz7t8nvd 0.5s both;
    &[open]

{
    animation: components-reconnect-modal-slideUp-b-hvbz7t8nvd 1.5s cubic-bezier(.05, .89, .25, 1.02) 0.3s, components-reconnect-modal-fadeInOpacity-b-hvbz7t8nvd 0.5s ease-in-out 0.3s;
    animation-fill-mode: both;
}

}

#components-reconnect-modal[b-hvbz7t8nvd]::backdrop {
    background-color: rgba(0, 0, 0, 0.4);
    animation: components-reconnect-modal-fadeInOpacity-b-hvbz7t8nvd 0.5s ease-in-out;
    opacity: 1;
}

@keyframes components-reconnect-modal-slideUp-b-hvbz7t8nvd {
    0% {
        transform: translateY(30px) scale(0.95);
    }

    100% {
        transform: translateY(0);
    }
}

@keyframes components-reconnect-modal-fadeInOpacity-b-hvbz7t8nvd {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes components-reconnect-modal-fadeOutOpacity-b-hvbz7t8nvd {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.components-reconnect-container[b-hvbz7t8nvd] {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

#components-reconnect-modal p[b-hvbz7t8nvd] {
    margin: 0;
    text-align: center;
}

#components-reconnect-modal button[b-hvbz7t8nvd] {
    border: 0;
    background-color: #6b9ed2;
    color: white;
    padding: 4px 24px;
    border-radius: 4px;
}

    #components-reconnect-modal button:hover[b-hvbz7t8nvd] {
        background-color: #3b6ea2;
    }

    #components-reconnect-modal button:active[b-hvbz7t8nvd] {
        background-color: #6b9ed2;
    }

.components-rejoining-animation[b-hvbz7t8nvd] {
    position: relative;
    width: 80px;
    height: 80px;
}

    .components-rejoining-animation div[b-hvbz7t8nvd] {
        position: absolute;
        border: 3px solid #0087ff;
        opacity: 1;
        border-radius: 50%;
        animation: components-rejoining-animation-b-hvbz7t8nvd 1.5s cubic-bezier(0, 0.2, 0.8, 1) infinite;
    }

        .components-rejoining-animation div:nth-child(2)[b-hvbz7t8nvd] {
            animation-delay: -0.5s;
        }

@keyframes components-rejoining-animation-b-hvbz7t8nvd {
    0% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    4.9% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    5% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 1;
    }

    100% {
        top: 0px;
        left: 0px;
        width: 80px;
        height: 80px;
        opacity: 0;
    }
}
